Recommended update for vsftpd

SUSE Recommended Update: Recommended update for vsftpd
Announcement ID: SUSE-RU-2018:2244-1
Rating: moderate
References: #1010177 #1075060 #1093179 #975538
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15

  • An update that has four recommended fixes can now be installed.

    Description:

    This update for vsftpd fixes the following issues:

    - Add 'rsa_cert_file' and 'dsa_cert_file' options to config file template
    to make the user aware that either one of those options need to be
    configured, otherwise vsftpd won't start up if SSL mode is enabled
    (bsc#975538)
    - Bugfix: Don't start/stop parameterized systemd units in pre/post
    actions. These units cannot be used without an explicit parameter and
    attempts to do so lead to a confusing "failed to try-restart" error
    message. (bsc#1093179, bsc#1010177)
    - man page: Added description for 'address_space_limit' option
    (bsc#1075060)

    Patch Instructions:

    To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Module for Server Applications 15:
      zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2018-1516=1

    Package List:

    • SUSE Linux Enterprise Module for Server Applications 15 (aarch64 ppc64le s390x x86_64):
      • vsftpd-3.0.3-7.7.9
      • vsftpd-debuginfo-3.0.3-7.7.9
      • vsftpd-debugsource-3.0.3-7.7.9

    References: